%global debug_package %{nil}
%global source_date_epoch_from_changelog 0

Name:       ndm
Version:	0.2.8
Release:	1%{?dist}
Summary:	N Dimensional High Energy Physics tool
Group:		System Environment/Libraries
License:	LGPL v3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake, doxygen
BuildRequires:  fmt-devel
BuildRequires:  spdlog-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  gtest-devel
BuildRequires:  protobuf-devel


%description
N Dimensional High Energy Physics tool

%package devel
Summary:  Development files and static library for the ndm
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains ndm related development libraries and header files.

%package doc
Summary:  Documentation
Group:    Documentation
Requires: %{name} = %{version}-%{release}, pkgconfig

%description doc
This package contains ndm documentation.

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_DOCUMENTATION=on
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../

%check
cd build
make test

%files
%{_bindir}/*
%{_libdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*

%files doc
%doc /usr/share/doc/%{name}/

%changelog
